org.eclipse.jetty.server

## Interface HandlerContainer

All Superinterfaces:
  LifeCycle

All Known Implementing Classes:
  AbstractHandlerContainer, ConnectHandler, ConstraintSecurityHandler, ContextHandler, ContextHandlerCollection, DebugHandler, GzipHandler, HandlerCollection, HandlerList, HandlerWrapper, HotSwapHandler, IPAccessHandler, MovedContextHandler, ProxyHandler, RequestLogHandler, ResourceHandler, RewriteHandler, ScopedHandler, SecurityHandler, Server, ServletContextHandler, ServletHandler, ServletHandler, SessionHandler, StatisticsHandler, WebAppContext, WebSocketHandler

    public interface HandlerContainer
    extends LifeCycle

A Handler that contains other Handlers.

The contained handlers may be one (see @{link `HandlerWrapper`) or many (see `HandlerList` or `HandlerCollection`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Method Summary

Methods
`<T extends Handler> T` `getChildHandlerByClass(Class<T> byclass)`
`Handler[]` `getChildHandlers()`
`Handler[]` `getChildHandlersByClass(Class<?> byclass)`
`Handler[]` `getHandlers()`

### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Method Detail

#### getHandlers

    Handler[] getHandlers()

Returns:
  array of handlers directly contained by this handler.

#### getChildHandlers

    Handler[] getChildHandlers()

Returns:
  array of all handlers contained by this handler and it's children

#### getChildHandlersByClass

    Handler[] getChildHandlersByClass(Class<?> byclass)

Parameters:
  `byclass` -
Returns:
  array of all handlers contained by this handler and it's children of the passed type.

#### getChildHandlerByClass

    <T extends Handler> T getChildHandlerByClass(Class<T> byclass)

Parameters:
  `byclass` -
Returns:
  first handler of all handlers contained by this handler and it's children of the passed type.